;
; Configuration of the driver setup wizard
;






; general settings that apply to both 32 and 64 bit systems
[Setup]

CompanyName=BEHRINGER

ProductName=UMC

ProductVersion=2.29.0

ShowLicenseText=0

UseCustomizedBitmap=1

SoftwareRegPath=Software\BEHRINGER\umc_audio\Setup

DefaultDestDir=BEHRINGER\UMC_Audio_Driver

CertificateFile=vendor.cer
    
CopyFiles=custom.ini, UMCAudioCplApp.xml, UMCAudioDfu.exe, UMCAudioDfu.xml



; settings that apply to 32 bit systems
[Setup_x86]

CopyFiles=umc_audio.sys, umc_audioks.sys, umc_audio.cat, umc_audioks.cat

InfUSB=umc_audio.inf

InfKS=umc_audioks.inf

RegisterFiles=umc_audioapi.dll, umc_audioasio.dll

ControlPanelExe=UMCAudioCplApp.exe

ShortCut1=$SM_PROG_ALL_USERS|BEHRINGER\UMC|UMC Audio Control Panel.lnk|$INSTDIR\UMCAudioCplApp.exe||
ShortCut2=$SM_STARTUP_ALL_USERS||UMC Audio Control Panel Autostart.lnk|$INSTDIR\UMCAudioCplApp.exe|-hide|

ShortCut3=$SM_PROG_ALL_USERS|BEHRINGER\UMC|UMC Audio Firmware Upgrade.lnk|$INSTDIR\UMCAudioDfu.exe||



; settings that apply to 64 bit systems
[Setup_x64]

CopyFiles=umc_audio_x64.sys, umc_audioks_x64.sys, umc_audio.cat, umc_audioks.cat

InfUSB=umc_audio.inf

InfKS=umc_audioks.inf

RegisterFiles=umc_audioapi.dll,umc_audioapi_x64.dll, umc_audioasio.dll, umc_audioasio_x64.dll

ControlPanelExe=UMCAudioCplApp.exe

ShortCut1=$SM_PROG_ALL_USERS|BEHRINGER\UMC|UMC Audio Control Panel.lnk|$INSTDIR\UMCAudioCplApp.exe||
ShortCut2=$SM_STARTUP_ALL_USERS||UMC Audio Control Panel Autostart.lnk|$INSTDIR\UMCAudioCplApp.exe|-hide|

ShortCut3=$SM_PROG_ALL_USERS|BEHRINGER\UMC|UMC Audio Firmware Upgrade.lnk|$INSTDIR\UMCAudioDfu.exe||


